=== debian/changelog ===
ros-noetic-ess-imu-ros1-uart-driver (1.3.2-1buster) buster; urgency=high

  * update cmake_minimum_required to avoid unstable build on buildfarm due to CMP0048 warning
  * update README.md for name change in package.xml, CMakeLists.txt
  * add dependency geometry_msgs and tf2
  * fix for name change in package.xml, CMakeLists.txt, launch files
  * Cleanup description of applicable licensing for files BSD-3 and Public Domain

 -- Raymond Chow <raymond.chow@ea.epson.com>  Wed, 03 Aug 2022 07:00:00 -0000

ros-noetic-ess-imu-ros1-uart-driver (1.3.1-1buster) buster; urgency=high

  * release 1st time
  * renamed from package from epson_imu_uart_driver

 -- John Keller <jkeller2@andrew.cmu.edu>  Tue, 19 Jul 2022 07:00:00 -0000
