=== debian/control ===
Source: ros-noetic-ess-imu-ros1-uart-driver
Section: misc
Priority: optional
Maintainer: Raymond Chow <raymond.chow@ea.epson.com>
Build-Depends: debhelper (>= 9.0.0), ros-noetic-catkin, ros-noetic-geometry-msgs, ros-noetic-roscpp, ros-noetic-sensor-msgs, ros-noetic-std-msgs, ros-noetic-tf2
Homepage: https://wiki.ros.org/ess_sensors/ros1uart
Standards-Version: 3.9.2

Package: ros-noetic-ess-imu-ros1-uart-driver
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-noetic-geometry-msgs, ros-noetic-roscpp, ros-noetic-sensor-msgs, ros-noetic-std-msgs, ros-noetic-tf2
Description: The Epson IMU Driver using UART interface for ROS package
